Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://my.orq.ai/v2/{workspace_key}/ip-allowlist/entries \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "cidr": "<string>", "description": "<string>" } '
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({cidr: '<string>', description: '<string>'}) }; fetch('https://my.orq.ai/v2/{workspace_key}/ip-allowlist/entries', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://my.orq.ai/v2/{workspace_key}/ip-allowlist/entries" payload = { "cidr": "<string>", "description": "<string>" } headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.text)
{ "range": { "id": "<string>", "cidr": "<string>", "description": "<string>", "created_at": "2023-11-07T05:31:56Z", "created_by_id": "<string>" } }
Adds an IPv4 or IPv6 CIDR range to the workspace allowlist.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
OK
Show child attributes
Was this page helpful?
Contact support